JupyterHub Batch Spawner for GLiCID
===================================

Setup
-----
This package is managed by [Poetry](https://python-poetry.org/):
```bash
git clone https://gitlab.univ-nantes.fr/glicid/jupyter/spawner glicid-spawner
cd glicid-spawner
poetry install
poetry run pre-commit install
```

To test the spawner:
```bash
poetry run pytest
```

To lint and format the source code:
```bash
poetry run ruff check . --fix
poetry run ruff format
```

To render the form template (with live reload):
```bash
poetry run python -m render
```

To activate the virtual environement globally:
```bash
source .venv/bin/activate
```


External ressources
-------------------
- https://gitlab.com/ifb-elixirfr/cluster/utils/slurmspawner/
- https://gitlab.com/idris-cnrs/jupyter/jupyter-jeanzay-spawner/
- https://github.com/jupyterhub/batchspawner
- https://jupyterhub.readthedocs.io/en/stable/reference/spawners.html
- https://getbootstrap.com/docs/3.4/css/
- https://getbootstrap.com/docs/3.4/components/
